All pages
Powered by GitBook
1 of 1

Loading...

List journal attachments

Retrieves a list of journal attachments.

get

Returns all attachments associated with the journal. Supports filtering, sorting, and pagination.

Path parameters
journalIdstringRequired
Responses
200

OK

application/json
offsetinteger · int32Optional
limitinteger · int32Optional
totalinteger · int32 · nullableOptional
omittedstring[]Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
revisioninteger · int32Optional
namestringOptional

Name of the attachment.

Example: raw records data
typestring · enumOptional

Represents the type of billing attachment.

Possible values:
filenamestringOptional

Represents the name of the file associated with the attachment.

Example: invoice.pdf
sizeinteger · int64 · nullableOptional

Indicates the size of the file in bytes.

Example: 102400
contentTypestringOptional

Represents the MIME type of the file content.

Example: application/pdf
descriptionstringOptional

Provides a description of the attachment.

Example: Invoice for March 2025
isDeletedbooleanOptional

Indicates whether the attachment has been marked as deleted.

Example: false
idstringOptional

The unique identifier of the attachment.

Example: JOA-1234-1234
revisioninteger · int32Optional
idstringOptional

The unique identifier of the journal entry.

Example: BJO-1234-1234
namestringOptional

Name of the journal.

Example: 29 Nov 2024 #1
dueDatestring · date-timeOptional

The due date for the journal entry.

Example: 2025-05-15T23:59:59+00:00
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
get/public/v1/billing/journals/{journalId}/attachments
GET /public/v1/billing/journals/{journalId}/attachments HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "$meta": {
    "pagination": {
      "offset": 1,
      "limit": 1,
      "total": 1
    },
    "omitted": [
      "text"
    ]
  },
  "data": [
    {
      "audit": {
        "created": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        },
        "updated": {
          "at": "2026-01-01T00:00:00.000Z",
          "by": {
            "id": "text",
            "name": "text",
            "icon": "text",
            "revision": 1
          }
        }
      },
      "$meta": {
        "omitted": [
          "text"
        ]
      },
      "revision": 1,
      "name": "raw records data",
      "type": "Input",
      "filename": "invoice.pdf",
      "size": 102400,
      "contentType": "application/pdf",
      "description": "Invoice for March 2025",
      "isDeleted": false,
      "id": "JOA-1234-1234",
      "journal": {
        "revision": 1,
        "id": "BJO-1234-1234",
        "name": "29 Nov 2024 #1",
        "dueDate": "2025-05-15T23:59:59+00:00"
      },
      "vendor": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1,
        "type": "Client",
        "status": "Active"
      }
    }
  ]
}